using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;

public class FinishDetection : MonoBehaviour
{
	private Finish _finish;
	private GameManager _gameManager;
	void Start()
	{
		_gameManager = FindObjectOfType<GameManager>();
		_finish = FindObjectOfType<Finish>();
	}
	
	void Update()
	{

        if (_gameManager!=null & _finish!=null)
        {
            if (Mathf.Abs(transform.position.z - _finish.transform.position.z) < 1.5f & _gameManager.GameHasStarted)
            {
                CharacterController[] characters = FindObjectsOfType<CharacterController>();
                foreach (CharacterController character in characters)
                {
                    character.enabled = false;
                }
                _gameManager.OnWin();
                _finish.audioSource.Play();
                this.enabled = false;
            }
        }
       
	}
}
